View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001743aMuleUtilitiespublic2015-01-07 01:462016-04-17 04:00
Reportermorph 
Assigned ToGonoszTopi 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSDebianOS Versionsid
Product VersionSVN 
Target Version2.3.2Fixed in Version2.3.2 
Summary0001743: crash when importing part files
DescriptionHello,
in Debian was reported this bug: http://bugs.debian.org/774637 [^]

```
I recently tried to import a part file through the aMule import option. After
choosing the proper folder (which holds the *.part, *.part.met, *.part.met.bak
files only) I am queried for whether aMule should delete the original files
after import. Regardless of whether I answer 'Yes' or 'No', aMule crashes
immediately after that. The original files are never removed and the 'imported'
file gets added the the download list, but the parts already downloaded are not
recognised (the download starts from 0%). I include a backtrace generated by
the crash.

I also remembered that I used the import function a couple of months ago
without any problems on aMule 2.3.1-11. I installed that version from Debian
snapshot repository and tried it but the behaviour was the same, so the problem
probably lies in one of the libraries mentioned in the backtrace and not in
aMule itself. I also tried to downgrade those libraries, but I failed probably
due to other dependencies.
```

so it happens both with 2.3.1 and with git snapshot at commitid=1a369e47 .

Attached is the gdb session of the crash.

Regards,
Sandro
Steps To Reproduceenable "Preallocate disk space for new files"
try to import a partfile
Additional InformationThere is also a race condition in the partfile name creation process...
TagsNo tags attached.
Fixed in Revision10920
Operating SystemAny
Attached Files? file icon amule_bts774637.gdb [^] (17,186 bytes) 2015-01-07 01:46

- Relationships

-  Notes
(0003648)
GonoszTopi (administrator)
2015-01-19 22:47

Importing fails (crashes) if the "Preallocate disk space for new files" option is enabled in the preferences. I'm working on a fix that takes into consideration the value of the above preference setting.

As a workaround until it's fixed, importing is possible by temporarily disabling disk space preallocation.
(0003688)
GonoszTopi (administrator)
2016-04-17 04:00

The current approach won't take into account the "Preallocate disk space for new files" setting for imported partfiles. See the commit note on https://github.com/amule-project/amule/commit/393acf5ce78dfdabd7316c44a78511db1c7bae74 [^]

- Issue History
Date Modified Username Field Change
2015-01-07 01:46 morph New Issue
2015-01-07 01:46 morph File Added: amule_bts774637.gdb
2015-01-19 22:47 GonoszTopi Note Added: 0003648
2015-01-19 22:47 GonoszTopi Assigned To => GonoszTopi
2015-01-19 22:47 GonoszTopi Reproducibility sometimes => always
2015-01-19 22:47 GonoszTopi Status new => confirmed
2015-01-19 22:47 GonoszTopi Target Version => 2.3.2
2015-01-19 22:47 GonoszTopi Steps to Reproduce Updated View Revisions
2015-01-19 22:47 GonoszTopi Additional Information Updated View Revisions
2016-04-17 04:00 GonoszTopi Fixed in Revision => 10920
2016-04-17 04:00 GonoszTopi Note Added: 0003688
2016-04-17 04:00 GonoszTopi Status confirmed => resolved
2016-04-17 04:00 GonoszTopi Resolution open => fixed
2016-04-17 04:00 GonoszTopi Fixed in Version => 2.3.2


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker